Subject: Re: [PATCH 0/3] Another approach to large transactions

From: Junio C Hamano <[email-masked]>
Date: Fri, 17 Apr 2015 10:09:34 -0700

Stefan Beller <[email-masked]> writes:

> * We keep the speed on small transactions 
>   (no close and reopen of fds in small transactions)
>
> * No refactoring for refs included, only minimally invasive to the refs.c code
>
> * applies on top of origin/sb/remove-fd-from-ref-lock replacing the last
>   commit there (I reworded the commit message of the last patch of that tip,
>   being the first patch in this series)
>   
> * another approach would be to move the fd counting into the lock file api,
>   I think that's not worth it for now.

I agree that it is a good direction to go to limit the number of
open file descriptors.  Overall it looked good to me.

>
>
> Stefan Beller (3):
>   refs.c: remove lock_fd from struct ref_lock
>   Move unsigned int get_max_fd_limit(void) to git_compat_util.h
>   refs.c: enable large transactions
>
>  git-compat-util.h     |  1 +
>  refs.c                | 28 ++++++++++++++++++----------
>  sha1_file.c           | 41 -----------------------------------------
>  t/t1400-update-ref.sh |  4 ++--
>  wrapper.c             | 41 +++++++++++++++++++++++++++++++++++++++++
>  5 files changed, 62 insertions(+), 53 deletions(-)